package com.xy.dto;

import cn.hutool.json.JSONObject;
import com.xy.utils.enums.MqttType1Enum;
import com.xy.utils.enums.MqttType2Enum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel("指令通用父类")
@Accessors(chain = true)
public class PaterDto {

    @ApiModelProperty(value = "sn编号", hidden = true)
    private String sn;

    @ApiModelProperty(value = "业务系统sn编号", required = true)
    private String wkSn;

    @ApiModelProperty(value = "大类", required = true)
    private MqttType1Enum type1;

    @ApiModelProperty(value = "小类", required = true)
    private MqttType2Enum type2;

    @ApiModelProperty("是否应答 默认=true")
    private Boolean ack = true;

    @ApiModelProperty(value = "指令发送时间", hidden = true)
    private String time;

    @ApiModelProperty(value = "指令过期时间", hidden = true)
    private String timeout;

    @ApiModelProperty("业务方json数据")
    private JSONObject data;

}
